<template>
  <div class="faq">
    <div class="title d-flex align-items-center">FAQ</div>

    <div class="questions-container">
      <question v-for="(question, index) in questions" :question="question" :key="question.id" :class="{ 'white-bg' : (index % 2 != 0) }"></question>
    </div>
  </div>
</template>

<script>
import Question from '../components/faq/Question';
import FaqMixin from '../../common/components/faq/FaqMixin';

export default {
  components: {
    Question,
  },
  mixins: [FaqMixin],
};
</script>

<style lang="scss" scoped>
  @import "../../../sass/mobile/typoVariables.scss";
  .faq {
    .title {
      padding: 13rem 0 13rem 12rem;
      background-image: linear-gradient(to bottom, $midnight, $catalina_blue);
      box-shadow: 0 2rem 40rem 0 rgba(0, 0, 0, 0.5);
      color: $white;
      font-size: 18rem;
    }

    .question-wapper.white-bg {
      background-color: #fff;
    }
  }
</style>
